

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Base Type &mdash; FnacMarketplace API 2.1.0 documentation</title>
    
    <link rel="stylesheet" href="../../_static/haiku.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/print.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../../',
        VERSION:     '2.1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../../_static/jquery.js"></script>
    <script type="text/javascript" src="../../_static/underscore.js"></script>
    <script type="text/javascript" src="../../_static/doctools.js"></script>
    <script type="text/javascript" src="../../_static/theme_extras.js"></script>
    <link rel="top" title="FnacMarketplace API 2.1.0 documentation" href="../../index.html" />
    <link rel="up" title="Api documentation" href="../index.html" />
    <link rel="next" title="Common Type" href="common.html" />
    <link rel="prev" title="Pricing Query" href="../api/pricingquery.html" /> 
  </head>
  <body>
      <div class="header"><img class="rightlogo" src="../../_static/fnac.gif" alt="Logo"/><h1 class="heading"><a href="../../index.html">
          <span>FnacMarketplace API 2.1.0 documentation</span></a></h1>
        <h2 class="heading"><span>Base Type</span></h2>
      </div>
      <div class="topnav">
      
        <p>
        «&#160;&#160;<a href="../api/pricingquery.html">Pricing Query</a>
        &#160;&#160;::&#160;&#160;
        <a class="uplink" href="../../index.html">Contents</a>
        &#160;&#160;::&#160;&#160;
        <a href="common.html">Common Type</a>&#160;&#160;»
        </p>

      </div>
      <div class="content">
        
        
  <div class="section" id="base-type">
<h1>Base Type<a class="headerlink" href="#base-type" title="Permalink to this headline">¶</a></h1>
<div class="section" id="base-request">
<span id="id1"></span><h2>Base Request<a class="headerlink" href="#base-request" title="Permalink to this headline">¶</a></h2>
<p>Base class for all requests (except authentication), forces the use of the request header</p>
<ul class="simple">
<li>Name: base_request</li>
</ul>
<div class="section" id="attributes">
<h3>Attributes<a class="headerlink" href="#attributes" title="Permalink to this headline">¶</a></h3>
<p>One of token or key is need.</p>
<table border="1" class="docutils">
<colgroup>
<col width="24%" />
<col width="47%" />
<col width="20%" />
<col width="10%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Name</th>
<th class="head">Description</th>
<th class="head">Type</th>
<th class="head">Required</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>partner_id</td>
<td>Identifier of the offers supplier, generated
when the partner registers with Fnac.com</td>
<td><a class="reference internal" href="common.html#uuid"><em>uuid</em></a></td>
<td>required</td>
</tr>
<tr class="row-odd"><td>shop_id</td>
<td>Shop Id, Fnac.com&#8217;s customer id
of the specified seller</td>
<td><a class="reference internal" href="common.html#uuid"><em>uuid</em></a></td>
<td>required</td>
</tr>
<tr class="row-even"><td>token</td>
<td>Token generated by the authentication process</td>
<td><a class="reference internal" href="common.html#uuid"><em>uuid</em></a></td>
<td>optional</td>
</tr>
<tr class="row-odd"><td>key</td>
<td>Partner authentication key</td>
<td><a class="reference internal" href="common.html#uuid"><em>uuid</em></a></td>
<td>optional</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="section" id="base-response">
<span id="id2"></span><h2>Base Response<a class="headerlink" href="#base-response" title="Permalink to this headline">¶</a></h2>
<p>Base class for all service responses</p>
<ul class="simple">
<li>Name: base_response</li>
</ul>
<div class="section" id="id3">
<h3>Attributes<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h3>
<table border="1" class="docutils">
<colgroup>
<col width="24%" />
<col width="47%" />
<col width="20%" />
<col width="10%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Name</th>
<th class="head">Description</th>
<th class="head">Type</th>
<th class="head">Required</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>Status</td>
<td>The overall process result</td>
<td><a class="reference internal" href="common.html#status-code"><em>status_code</em></a></td>
<td>required</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>


      </div>
      <div class="bottomnav">
      
        <p>
        «&#160;&#160;<a href="../api/pricingquery.html">Pricing Query</a>
        &#160;&#160;::&#160;&#160;
        <a class="uplink" href="../../index.html">Contents</a>
        &#160;&#160;::&#160;&#160;
        <a href="common.html">Common Type</a>&#160;&#160;»
        </p>

      </div>

    <div class="footer">
        &copy; Copyright 2010-2013, FnacMarketplace.
    </div>
  </body>
</html>